Missing translation (or incorrect translation reference) in r2825

2009-07-27 16:36 - Vinko Vrsalovic

Status: Closed Start date: 2009-07-27

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: Issues Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed Affected version:  

Description

I get, when setting a related issue to an issue, and selecting 'blocks', the following message

"Translation missing, en, field_issue_to"

I added field_issue_to: Related issue to config/locales/en.yml

and it worked.

I don't know if this is the proper solution, or is there somewhere in code that must be changed to field_issue_to_id (because it has the

same text).

1. rails --version

Rails 2.2.2

1. ruby --version

ruby 1.8.6 (2007-09-24 patchlevel 111) [i486-linux]

Last Changed Author: edavis10

Last Changed Rev: 2825

Last Changed Date: 2009-07-27 02:55:43 +0200 (Mon, 27 Jul 2009)

Associated revisions

Revision 2835 - 2009-08-02 06:55 - Eric Davis

Fixed missing translation for 'field_issue_to', the translation files ended in _id.

#3678

History

#1 - 2009-07-27 23:44 - Mischa The Evil

Someway I'm not able to reproduce this error using a clean checkout of the current trunk. field_issue_to seems not to be used by the relations at all

AFAICT.

Did you modified your Redmine in some way? Maybe some plugins installed?

#2 - 2009-07-28 09:53 - Vinko Vrsalovic

- File pic1.png added

- File pic2.png added

- Assignee set to Mischa The Evil

Found the real culprit.

Put a non existing issue number and it shows the message. (pic1.png)

If I add the field_issue_to to en.yml then it shows the proper error message. (pic2.png)

Sorry for the misreport.

#3 - 2009-07-28 09:55 - Thomas Lecavelier

- Status changed from New to Closed
- Resolution set to Invalid

Happy to see that your problem is solved.

Closing!

#4 - 2009-07-28 10:02 - Vinko Vrsalovic

- Status changed from Closed to Reopened

- Assignee deleted (Mischa The Evil)

Should I open a new issue for this?

It's clearly still a problem.

The message when using a non existing issue (imagine a typo or a similar mistake) shows an error of translation instead of the proper error.

This seems to point at the error handler pointing to a non existing translation item.

#5 - 2009-07-28 15:18 - Nanda P

Yes, It's still an issue.  "translation missing: en, field_issue_to can't be blank"

I can reproduce it by adding non existing issue # or non-numeric values.

#6 - 2009-07-31 02:18 - Eric Davis

- Category changed from Translations to Issues

- Status changed from Reopened to 7

- Assignee set to Eric Davis

- Resolution deleted (Invalid)

Confirmed, entering an invalid issue number or a blank issue number will show a missing translation.  Reproduced on http://demo.redmine.org, 

http://www.redmine.org, and a few other sites.

Should be a simple fix plus some translations.

#7 - 2009-08-02 06:55 - Eric Davis

- Status changed from 7 to Closed

- Target version set to 0.9.0

- % Done changed from 0 to 100

- Resolution set to Fixed

Fixed in r2835.  It looks like the field_issue_to_id was the older translation but in trunk (with Rails 2.2.2), it was looking for field_issue_to instead. 

Thank you for the bug report and the steps to reproduce.

0.8.x wasn't affected by this.
